#
# Conditional build:
%bcond_with	tests		# build without tests

%define pkgname rest-client
Summary:	Simple REST client for Ruby
Name:		ruby-%{pkgname}
Version:	1.7.2
Release:	3
License:	MIT
Group:		Development/Languages
Source0:	http://gems.rubyforge.org/gems/%{pkgname}-%{version}.gem
# Source0-md5:	26e91d611a1d66007b6158f75d2cb7db
URL:		https://github.com/rest-client/rest-client
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	ruby-mime-types >= 1.16
BuildRequires:	ruby-netrc
BuildRequires:	ruby-rspec
BuildRequires:	ruby-webmock >= 0.9.1
%endif
Requires:	ruby-mime-types >= 1.16
Requires:	ruby-netrc
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A simple Simple HTTP and REST client for Ruby, inspired by the Sinatra
microframework style of specifying actions: get, put, post, delete.

%prep
%setup -q -n %{pkgname}-%{version}
%{__sed} -i -e '1 s,#!.*ruby,#!%{__ruby},' bin/*

%build
# write .gemspec
%__gem_helper spec

%if %{with tests}
# TODO: According to comment in %%{PATCH0}, at least one test does not passes on
# R1.9.3. I gon't go to investigate further ATM.
rspec spec | grep -e "188 examples, [34] failures"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir},%{_bindir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rdoc history.md
%attr(755,root,root) %{_bindir}/restclient
%{ruby_vendorlibdir}/rest-client.rb
%{ruby_vendorlibdir}/rest_client.rb
%{ruby_vendorlibdir}/restclient.rb
%{ruby_vendorlibdir}/restclient
%{ruby_specdir}/%{pkgname}-%{version}.gemspec
%changelog
* Tue Sep 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-rest-client.git;a=log;h=master

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> a128647
- rebuild without versioned ruby abi dep
- release 3 (by relup.sh)

* Fri Apr 10 2015 Jan Rękorajski <baggins@pld-linux.org> 1b0020f
- release 2 (by relup.sh)

* Sun Dec 14 2014 Elan Ruusamäe <glen@delfi.ee> 1107c46
- up to 1.7.2; package gemspec

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 6ed29f9
- ruby shebang

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 63951f6
- rebuild for ruby 2.0
- release 2 (by relup.sh)

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> 74ff2d9
- new, version 1.6.7

